Skip to content
GET/api/{version}/objects/users
NameDescription
Acceptapplication/json (default) or application/xml

Using the endpoint alone with no optional parameters will retrieve users assigned only to the Vault in which the request is made. For customers with multiple Vaults in their domain, users with Domain Admin, System Admin, and Vault Owner privileges can access user information across different Vaults in the domain by including the optional parameter vaults set to one of the following values:

NameDescription
vaults=allRetrieve all users assigned to all Vaults in your domain.
vaults=-1Retrieve all users assigned to all Vaults in your domain except for the Vault in which the request is made.
vaults={Vault IDs}Retrieve all users assigned to Vault ID 3003, Vault ID 4004, and Vault ID 5005. Use a comma-separated list of Vault IDs to retrieve users assigned only to the specified Vaults.
exclude_vault_membershipOptional: Set to true to omit vault_membership fields. If you don't need these fields, this may increase performance. If false or omitted, vault_membership fields are included in the response.
exclude_app_licensingOptional: Set to true to omit app_licensing fields. If you don't need these fields, this may increase performance. If false or omitted, app_licensing fields are included in the response.

System Admins and Vault Owners must have administrative access to Vault applications referenced in the vaults parameter to be able to access users from those Vault.

The response also supports pagination. By default the page limit is set to 200 records. The pagination parameters are:

curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v17.3/objects/users
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v17.3/objects/users?vaults=all
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v17.3/objects/users?vaults=-1
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v17.3/objects/users?vaults=3003,4004,5005
{ "responseStatus": "SUCCESS", "size": 200, "start": 0, "limit": 200, "sort": "id asc", "users": [ { "user": { "id": 25501, "user_name__v": "ewoodhouse@veepharm.com", "user_first_name__v": "Elaine", "user_last_name__v": "Woodhouse" } }, { "user": { "id": 25502, "user_name__v": "bashton@veepharm.com", "user_first_name__v": "Bruce", "user_last_name__v": "Ashton" } }, { "user": { "id": 25503, "user_name__v": "tchung@veepharm.com", "user_first_name__v": "Thomas", "user_last_name__v": "Chung" } } ] }